automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

FYI: fix AM_WITH_REGEX


From: Alexandre Duret-Lutz
Subject: FYI: fix AM_WITH_REGEX
Date: Sat, 31 Jan 2004 15:34:03 +0100
User-agent: Gnus/5.1003 (Gnus v5.10.3) Emacs/21.3.50 (gnu/linux)

I'm installing this on HEAD and branch-1-8.

2004-01-31  Alexandre Duret-Lutz  <address@hidden>

        * m4/regex.m4: Do not AC_SUBST(LIBOBJS), and quote most arguments.
        * tests/regex.test: New file.
        * tests/Makefile.am (TESTS): Add regex.test.

Index: NEWS
===================================================================
RCS file: /cvs/automake/automake/NEWS,v
retrieving revision 1.256.2.22
diff -u -r1.256.2.22 NEWS
--- NEWS        28 Jan 2004 21:13:27 -0000      1.256.2.22
+++ NEWS        31 Jan 2004 14:20:01 -0000
@@ -14,6 +14,9 @@
   - Fix the depfils output so it works with GNU sed (<4.1) even when
     POSIXLY_CORRECT is set.
 
+  - Do not AC_SUBST(LIBOBJS) in AM_WITH_REGEX.  This macro was unusable
+    since Autoconf 2.54, which defines LIBOBJS itself.
+
 * New sections in manual:
 
   - Third-Party Makefiles: how to interface third party Makefiles.
Index: m4/regex.m4
===================================================================
RCS file: /cvs/automake/automake/m4/regex.m4,v
retrieving revision 1.12
diff -u -r1.12 regex.m4
--- m4/regex.m4 24 Aug 2003 19:56:07 -0000      1.12
+++ m4/regex.m4 31 Jan 2004 14:20:03 -0000
@@ -2,7 +2,7 @@
 ## Check if --with-regex was given.  ##
 ## --------------------------------- ##
 
-# Copyright (C) 1996, 1998, 1999, 2000, 2001, 2002, 2003
+# Copyright (C) 1996, 1998, 1999, 2000, 2001, 2002, 2003, 2004
 # Free Software Foundation, Inc.
 
 # This program is free software; you can redistribute it and/or modify
@@ -20,7 +20,7 @@
 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 # 02111-1307, USA.
 
-# serial 5
+# serial 6
 
 # AM_WITH_REGEX
 # -------------
@@ -41,14 +41,14 @@
 [AC_PREREQ(2.50)dnl
 AC_LIBSOURCES([rx.h, rx.c, regex.c, regex.h])dnl
 AC_MSG_CHECKING([which of GNU rx or gawk's regex is wanted])
-AC_ARG_WITH(regex,
+AC_ARG_WITH([regex],
 [  --without-regex         use GNU rx in lieu of gawk's regex for matching],
            [test "$withval" = yes && am_with_regex=1],
            [am_with_regex=1])
 if test -n "$am_with_regex"; then
-  AC_MSG_RESULT(regex)
-  AC_DEFINE(WITH_REGEX, 1, [Define if using GNU regex])
-  AC_CACHE_CHECK([for GNU regex in libc], am_cv_gnu_regex,
+  AC_MSG_RESULT([regex])
+  AC_DEFINE([WITH_REGEX], 1, [Define if using GNU regex])
+  AC_CACHE_CHECK([for GNU regex in libc], [am_cv_gnu_regex],
     [AC_TRY_LINK([],
                 [extern int re_max_failures; re_max_failures = 1],
                 [am_cv_gnu_regex=yes],
@@ -57,10 +57,9 @@
     AC_LIBOBJ([regex])
   fi
 else
-  AC_MSG_RESULT(rx)
-  AC_CHECK_FUNC(re_rx_search, , [AC_LIBOBJ([rx])])
-fi
-AC_SUBST(LIBOBJS)dnl
+  AC_MSG_RESULT([rx])
+  AC_CHECK_FUNC([re_rx_search], , [AC_LIBOBJ([rx])])
+fi[]dnl
 ])
 
 AU_DEFUN([fp_WITH_REGEX], [AM_WITH_REGEX])
Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.539.2.6
diff -u -r1.539.2.6 Makefile.am
--- tests/Makefile.am   28 Jan 2004 20:51:00 -0000      1.539.2.6
+++ tests/Makefile.am   31 Jan 2004 14:20:03 -0000
@@ -400,6 +400,7 @@
 remake3.test \
 remake4.test \
 remake5.test \
+regex.test \
 req.test \
 reqd.test \
 reqd2.test \
Index: tests/Makefile.in
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.in,v
retrieving revision 1.698.2.14
diff -u -r1.698.2.14 Makefile.in
--- tests/Makefile.in   28 Jan 2004 20:51:00 -0000      1.698.2.14
+++ tests/Makefile.in   31 Jan 2004 14:20:03 -0000
@@ -514,6 +514,7 @@
 remake3.test \
 remake4.test \
 remake5.test \
+regex.test \
 req.test \
 reqd.test \
 reqd2.test \
Index: tests/regex.test
===================================================================
RCS file: tests/regex.test
diff -N tests/regex.test
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ tests/regex.test    31 Jan 2004 14:20:03 -0000
@@ -0,0 +1,34 @@
+#! /bin/sh
+# Copyright (C) 2004  Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING.  If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Make sure AM_WITH_REGEX compiles and runs.
+
+. ./defs || exit 1
+
+set -e
+
+cat >> configure.in << 'END'
+AM_WITH_REGEX
+END
+
+$ACLOCAL
+$AUTOCONF
+./configure
+./configure --without-regex

-- 
Alexandre Duret-Lutz





reply via email to

[Prev in Thread] Current Thread [Next in Thread]